diff --git a/bin/varnishd/cache/cache_backend_tcp.c b/bin/varnishd/cache/cache_backend_tcp.c
index 425a7de6ea..77e50c0948 100644
--- a/bin/varnishd/cache/cache_backend_tcp.c
+++ b/bin/varnishd/cache/cache_backend_tcp.c
@@ -395,7 +395,7 @@ VBT_Wait(struct worker *wrk, struct vbc *vbc)
 	assert(vbc->cond == &wrk->cond);
 	Lck_Lock(&tp->mtx);
 	while (vbc->state == VBC_STATE_STOLEN)
-		AZ(Lck_CondWait(&wrk->cond, &tp->mtx, 0));
+		(void)Lck_CondWait(&wrk->cond, &tp->mtx, 0);
 	assert(vbc->state == VBC_STATE_USED);
 	vbc->cond = NULL;
 	Lck_Unlock(&tp->mtx);
diff --git a/bin/varnishd/http2/cache_http2_proto.c b/bin/varnishd/http2/cache_http2_proto.c
index d1070b3a23..3a4fc44fbb 100644
--- a/bin/varnishd/http2/cache_http2_proto.c
+++ b/bin/varnishd/http2/cache_http2_proto.c
@@ -564,7 +564,7 @@ h2_rx_data(struct worker *wrk, struct h2_sess *h2, struct h2_req *r2)
 	Lck_Lock(&h2->sess->mtx);
 	AZ(pthread_cond_broadcast(h2->cond));
 	while (h2->mailcall != NULL && h2->error == 0 && r2->error == 0)
-		AZ(Lck_CondWait(h2->cond, &h2->sess->mtx, 0));
+		(void)Lck_CondWait(h2->cond, &h2->sess->mtx, 0);
 	Lck_Unlock(&h2->sess->mtx);
 	return (0);
 }
@@ -589,7 +589,7 @@ h2_vfp_body(struct vfp_ctx *vc, struct vfp_entry *vfe, void *ptr, ssize_t *lp)
 
 	Lck_Lock(&h2->sess->mtx);
 	while (h2->mailcall != r2 && h2->error == 0 && r2->error == 0)
-		AZ(Lck_CondWait(h2->cond, &h2->sess->mtx, 0));
+		(void)Lck_CondWait(h2->cond, &h2->sess->mtx, 0);
 	if (h2->mailcall == r2) {
 		assert(h2->mailcall == r2);
 		if (l > h2->rxf_len)
diff --git a/bin/varnishd/http2/cache_http2_send.c b/bin/varnishd/http2/cache_http2_send.c
index a220b1ed5e..2358f3dc5c 100644
--- a/bin/varnishd/http2/cache_http2_send.c
+++ b/bin/varnishd/http2/cache_http2_send.c
@@ -47,7 +47,7 @@ H2_Send_Get(struct worker *wrk, struct h2_sess *h2, struct h2_req *r2)
 	r2->wrk = wrk;
 	VTAILQ_INSERT_TAIL(&h2->txqueue, r2, tx_list);
 	while (VTAILQ_FIRST(&h2->txqueue) != r2)
-		AZ(Lck_CondWait(&wrk->cond, &h2->sess->mtx, 0));
+		(void)Lck_CondWait(&wrk->cond, &h2->sess->mtx, 0);
 	r2->wrk = NULL;
 	Lck_Unlock(&h2->sess->mtx);
 }
